Subject: [eap] A (last?) remark on the EAP state machine

From: Florent Bersani <[email-masked]>
Date: Fri, 11 Jun 2004 09:36:26 +0200

Hi,

Many apologies for the fragmented and late feedback on the EAP state 
machine.

This one is surely a matter of taste - and is related to comment #7 I 
made in http://mail.frascone.com/pipermail/public/eap/2004-June/002523.html

I don't understand why the EAP peer state machine uses two different 
procedures to "process" the EAP packet: m.process and m.BuildResp?
Wouldn't it be simpler to use only one procedure and write something like:
(methodState,decision,allowNotifications,eapRespData)=m.process(eapReqData)

BR,
Florent

_______________________________________________
eap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/eap